Sound Design Toolkit 075 Physically informed sound synthesis for everyday sounds

- Main Page
- Modules
- Data Structures
- Files

Typedefs | Functions
Scraping
SDTControl.h: Compound solid interactions

## Typedefs
typedef struct SDTScraping | SDTScraping
| Opaque data structure for the scraping object.

## Functions
SDTScraping * | SDTScraping_new ()
| Object constructor. More...
void | SDTScraping_free (SDTScraping *x)
| Object destructor. More...
void | SDTScraping_setGrain (SDTScraping *x, double f)
| Sets the grain of the surface. This parameter affects the density of the micro-impacts: Lower values result in a rougher scraping, higher values result in a smoother scraping. More...
void | SDTScraping_setForce (SDTScraping *x, double f)
| Sets the normal force of the scraping probe on the surface. This parameter affects the energy of the micro-impacts. More...
void | SDTScraping_setVelocity (SDTScraping *x, double f)
| Sets the scraping velocity. More...
double | SDTScraping_dsp (SDTScraping *x, double in)
| Signal processing routine. Call this function at sample rate to compute the force acting on the scraped surface. More...

## Detailed Description

Control layer for resonators, generating scraping sonic textures. The output is a force, which should be applied directly to a single resonator. Interactors are not needed, although friction with another solid can be used to add a rubbing character to the sound.

## Function Documentation

double SDTScraping_dsp | ( | SDTScraping * | x,
|  | double | in
| ) |  |

Signal processing routine. Call this function at sample rate to compute the force acting on the scraped surface.

Parameters

  [in] | in | Surface profile, as an audio signal

Returns
  Normal force on the resonator

void SDTScraping_free | ( | SDTScraping * | x | ) |

Object destructor.

Parameters

  [in] | x | Pointer to the instance to destroy

SDTScraping* SDTScraping_new | ( |  | ) |

Object constructor.

Returns
  Pointer to the new instance

void SDTScraping_setForce | ( | SDTScraping * | x,
|  | double | f
| ) |  |

Sets the normal force of the scraping probe on the surface. This parameter affects the energy of the micro-impacts.

Parameters

  [in] | f | Normal force of the scraping probe on the resonating surface

void SDTScraping_setGrain | ( | SDTScraping * | x,
|  | double | f
| ) |  |

Sets the grain of the surface. This parameter affects the density of the micro-impacts: Lower values result in a rougher scraping, higher values result in a smoother scraping.

Parameters

  [in] | f | Surface grain [0, 1]

void SDTScraping_setVelocity | ( | SDTScraping * | x,
|  | double | f
| ) |  |

Sets the scraping velocity.

Parameters

  [in] | f | Probe velocity